/*  Copyright © 2021 Zoltán Nagy. All rights reserved.
 *  Created by Zoltán Nagy on 08.01.21 at 13:49.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/*   std includes   */


/*   project headers   */
#include <bits/mc-splitting-prob.h>



namespace duct {
  
 

  bool test( shower_history_stage<epa>& s)
  {
    random_engine_type rne;
    
    return splitting_prob<epa, ordering::lambda>{}.make_trial(rne, s, 0.0_GeV2,0.0_GeV2)
    || splitting_prob<epa, ordering::kT>{}.make_trial(rne, s,0.0_GeV2,0.0_GeV2)
    || splitting_prob<epa, ordering::angular>{}.make_trial(rne, s,0.0_GeV2,0.0_GeV2);
  }
}  //  namespace duct

